import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)
const originalPush = VueRouter.prototype.push

VueRouter.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err)
}

const routes = [
  {
    path: '/',
    name: 'index',
    component: () => import('../views/index/index')
  },
  {
    path: '/index',
    name: 'index',
    component: () => import('../views/index/index')
  },
  {
    path: '/news',
    name: 'news',
    component: () => import('../views/news/index')
  },
]

const router = new VueRouter({
  mode: 'history',
  routes
})

export default router
